package com.zx.dataservice.task;

import com.zx.dataservice.service.ChoiceStockService;
import com.zx.dataservice.utils.DateTimeUtil;
import org.slf4j.Logger;
import org.slf4j.LoggerFactory;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.scheduling.annotation.Async;
import org.springframework.scheduling.annotation.Scheduled;
import org.springframework.stereotype.Component;

import java.util.Date;

/**
 * 解析东方财富实时数据
 */
@Component
public class AnalysisStockRestDataTask {

    private static final Logger log = LoggerFactory.getLogger(AnalysisStockRestDataTask.class);

    @Autowired
    private ChoiceStockService choiceStockService;

    @Async("executorStock")
//    @Scheduled(cron = "0/1 * * * * ?")
    @Scheduled(fixedRate=10)
    public void toAnalysisRestData() throws InterruptedException {
        log.info("=====定时任务===解析东方财富数据==股票==开始，当前时间 {} =====", DateTimeUtil.dateToStr(new Date()));
        doTask();
        log.info("=====定时任务===解析东方财富数据==股票==结束，当前时间 {} =====", DateTimeUtil.dateToStr(new Date()));
//        Thread.sleep(2000);
    }

    public void doTask() {
        this.choiceStockService.analysisStockRestData();
    }
}
